Overview
Overview
Overview
Origin Protection OverView API
Version information
Version : 1.0.0.BETA
License information
Terms of service : https://www.nexusguard.com/
URI scheme
Host : {your_basic_domain}
BasePath : /api
Schemes : HTTPS
Paths
Get the CleanPipe mitigation auto profile list.
GET /spe/customer/{customer_id}/cp/site/{site_id}/policy/mitigation/auto-profiles
Description
Get the CleanPipe mitigation auto profile list.
Parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| Path | customer_id required |
Unique identifier of a customer. Can be obtained by invoking this API. | string |
| Path | site_id required |
Unique identifier of a site. | string |
| Query | access_token required |
Access token used to authenticate your access to the API.Can be obtained by invoking this API. | string |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | This is the returned result. | Response 200 |
| Name | Description | Schema |
|---|---|---|
| code optional |
Error code | integer |
| msg optional |
Error message | string |
| result optional |
< result > array |
| Name | Description | Schema |
|---|---|---|
| profile_id optional |
Unique identifier of a profile. | integer |
| profile_name optional |
Name of a profile. | string |
Consumes
application/x-www-form-urlencoded
Produces
application/json
Security
| Type | Name |
|---|---|
| apiKey | ApiKeyAuth |
Updates the NetShield Overview.
POST /spe/customer/{customer_id}/cp/site/{site_id}/policy/netshield-overview
Description
NetShield Overview summarizes the operation mode of the detection and mitigation engines as set on each site / network / host profile. Use this API to update the NetShield Overview.
Parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| Path | customer_id required |
Unique identifier of a customer. Can be obtained by invoking this API. | string |
| Path | site_id required |
Unique identifier of a site. | string |
| Query | access_token required |
Access token used to authenticate your access to the API.Can be obtained by invoking this API. | string |
| Body | overview optional |
Site and host policy overview information. Site-level fields are subject to conditional update rules under site.policy; host-level fields are subject to conditional update rules under hosts[].policy when custom is 1. | overview |
| Name | Description | Schema |
|---|---|---|
| hosts optional |
Host part of the policy overview. Each host entry follows host-level conditional update rules. | < hosts > array |
| site optional |
Site part of the policy overview. | site |
| Name | Description | Schema |
|---|---|---|
| host_id optional |
Unique identifier of a host. | string |
| policy optional |
Host-level policy. Other fields in this object can be updated only when custom is 1. | policy |
| Name | Description | Schema |
|---|---|---|
| custom optional |
0 means the host inherits site-level policy; 1 means host-level policy is enabled. When set to 1, other fields under host.policy can be updated. | integer |
| detection optional |
Detection policy. Can be updated only when custom is 1. | detection |
| mitigation optional |
Mitigation policy. Can be updated only when custom is 1. | mitigation |
| Name | Description | Schema |
|---|---|---|
| mode optional |
Detection mode. Allowed values: off, custom, template. Can be updated only when custom is 1. | enum (off, custom, template) |
| template_id optional |
Detection template. Can be updated only when custom is 1 and detection.mode is template. | string |
| Name | Description | Schema |
|---|---|---|
| mitigation_template_id optional |
Mitigation template. Get from mitigation template list. Can be updated only when custom is 1 and mitigation.mode is auto. | string |
| mode optional |
Mitigation mode. Allowed values: off, on, blackhole, auto. Can be updated only when custom is 1 and detection.mode is not off. | enum (off, on, blackhole, auto) |
| Name | Description | Schema |
|---|---|---|
| policy optional |
The site part policy. When detection.mode is off, no other fields in this object can be updated. | policy |
| Name | Description | Schema |
|---|---|---|
| detection optional |
Detection policy. | detection |
| host_detection optional |
Host detection policy. Can be updated only when detection.mode is not off. | host_detection |
| host_mitigation optional |
Host mitigation policy. Can be updated only when detection.mode is not off and host_detection.mode is not off. | host_mitigation |
| mitigation optional |
Mitigation policy. Can be updated only when detection.mode is not off. | mitigation |
| network_detection optional |
Network detection policy. Can be updated only when detection.mode is not off. | network_detection |
| network_mitigation optional |
Network mitigation policy. Can be updated only when detection.mode is not off and network_detection.mode is not off. | network_mitigation |
| Name | Description | Schema |
|---|---|---|
| mode optional |
Detection mode. Allowed values: off, custom, template. When set to off, no other site policy fields in this request can be updated. | enum (off, custom, template) |
| Name | Description | Schema |
|---|---|---|
| mode optional |
Host detection mode. Allowed values: off, on. Can be updated only when detection.mode is not off. | enum (off, on) |
| template_id optional |
Host detection template. Get from detection template list. Can be updated only when detection.mode is template. | integer |
| Name | Description | Schema |
|---|---|---|
| mitigation_template_id optional |
Host mitigation template. Get from mitigation template list. Can be updated only when host_mitigation.mode is on. | string |
| mode optional |
Host mitigation mode. Allowed values: off, on. Can be updated only when detection.mode is not off and host_detection.mode is not off. | enum (off, on) |
| Name | Description | Schema |
|---|---|---|
| mode optional |
Mitigation mode. Allowed values: off, on. Can be updated only when detection.mode is not off. | enum (off, on) |
| route_template_id optional |
Mitigation template. Get from mitigation template list. Can be updated only when detection.mode is not off. | string |
| Name | Description | Schema |
|---|---|---|
| mode optional |
Network detection mode. Allowed values: off, on. Can be updated only when detection.mode is not off. | enum (off, on) |
| template_id optional |
Network detection template. Get from detection template list. Can be updated only when detection.mode is template. | integer |
| Name | Description | Schema |
|---|---|---|
| mitigation_template_id optional |
Network mitigation template. Get from mitigation template list. Can be updated only when network_mitigation.mode is on. | string |
| mode optional |
Network mitigation mode. Allowed values: off, on. Can be updated only when detection.mode is not off and network_detection.mode is not off. | enum (off, on) |
| network_protection_route_profile_id optional |
Network protection route profile id. Get from route profile list. Can be updated only when network_mitigation.mode is on. | string |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | This is the returned result. | Response 200 |
| Name | Description | Schema |
|---|---|---|
| code optional |
Error code | integer |
| msg optional |
Error message | string |
Consumes
application/json
Produces
application/json
Security
| Type | Name |
|---|---|
| apiKey | ApiKeyAuth |
Get the NetShield Overview.
GET /spe/customer/{customer_id}/cp/site/{site_id}/policy/netshield-overview
Description
Get the NetShield Overview.
Parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| Path | customer_id required |
Unique identifier of a customer. Can be obtained by invoking this API. | string |
| Path | site_id required |
Unique identifier of a site. | string |
| Query | access_token required |
Access token used to authenticate your access to the API.Can be obtained by invoking this API. | string |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | This is the returned result. | Response 200 |
| Name | Description | Schema |
|---|---|---|
| code optional |
Error code | integer |
| msg optional |
Error message | string |
| result optional |
result |
| Name | Description | Schema |
|---|---|---|
| hosts optional |
Host part of the policy overview. | < hosts > array |
| site optional |
Site part of the policy overview. | site |
| Name | Description | Schema |
|---|---|---|
| host_id optional |
Unique identifier of a host. | string |
| policy optional |
policy |
| Name | Description | Schema |
|---|---|---|
| custom optional |
0 means it indicates that it is at the site level; otherwise, it indicates that it is at the host level. | integer |
| detection optional |
Detection policy. | detection |
| mitigation optional |
Mitigation policy. | mitigation |
| Name | Description | Schema |
|---|---|---|
| mode optional |
Detection mode. | enum (off, custom, template) |
| template_id optional |
Detection template. | string |
| template_name optional |
Detection template name. | string |
| Name | Description | Schema |
|---|---|---|
| mitigation_template_id optional |
Mitigation template.Get from mitigation template list. | string |
| mitigation_template_name optional |
Mitigation template name. | string |
| mode optional |
Mitigation mode. | enum (off, on, blackhole, auto) |
| Name | Description | Schema |
|---|---|---|
| policy optional |
The site part policy. | policy |
| Name | Description | Schema |
|---|---|---|
| detection optional |
Detection policy. | detection |
| host_detection optional |
Host detection policy. | host_detection |
| host_mitigation optional |
Host mitigation policy. | host_mitigation |
| mitigation optional |
Mitigation policy. | mitigation |
| network_detection optional |
Network detection policy. | network_detection |
| network_mitigation optional |
Network mitigation policy. | network_mitigation |
| Name | Description | Schema |
|---|---|---|
| mode optional |
Detection mode. | enum (off, custom, template) |
| template_id optional |
Detection template.Get from detection template list. | string |
| Name | Description | Schema |
|---|---|---|
| mode optional |
Host detection mode. | enum (off, on) |
| template_id optional |
Host detection template.Get from detection template list. | integer |
| template_name optional |
Host detection template name. | string |
| Name | Description | Schema |
|---|---|---|
| mitigation_template_id optional |
Host mitigation template.Get from mitigation template list. | string |
| mitigation_template_name optional |
Host mitigation template name. | string |
| mode optional |
Host mitigation mode. Can be seted only when host detection mode is on. | enum (off, on) |
| Name | Description | Schema |
|---|---|---|
| mode optional |
Mitigation mode. | enum (off, on) |
| route_template_id optional |
Mitigation route template id.Get from mitigation template list. | string |
| route_template_name optional |
Mitigation route template name. | string |
| Name | Description | Schema |
|---|---|---|
| mode optional |
Network detection mode. | enum (off, on) |
| template_id optional |
Network detection template.Get from detection template list. | integer |
| template_name optional |
Network detection template name. | string |
| Name | Description | Schema |
|---|---|---|
| mitigation_template_id optional |
Network mitigation template id.Get from mitigation template list. | string |
| mitigation_template_name optional |
Network mitigation template name. | string |
| mode optional |
Network mitigation mode. Can be seted only when network detection mode is on. | enum (off, on) |
| network_protection_route_profile_id optional |
Network protection route profile id.Get from route profile list. | string |
| network_protection_route_profile_name optional |
Network protection route profile name. | string |
Consumes
application/json
Produces
application/json
Security
| Type | Name |
|---|---|
| apiKey | ApiKeyAuth |
Updates the customized policies under Overview.
POST /spe/customer/{customer_id}/cp/site/{site_id}/policy/overview
Description
Updates the customized policies under Overview.
Parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| Path | customer_id required |
Unique identifier of a customer. Can be obtained by invoking this API. | string |
| Path | site_id required |
Unique identifier of a site. | string |
| Query | access_token required |
Access token used to authenticate your access to the API.Can be obtained by invoking this API. | string |
| Body | overview optional |
Site policy overview information. | overview |
| Name | Description | Schema |
|---|---|---|
| hosts optional |
Host part of the policy overview. | < hosts > array |
| site optional |
Site part of the policy overview. | site |
| Name | Description | Schema |
|---|---|---|
| host_id optional |
Unique identifier of a host. | string |
| policy optional |
policy |
| Name | Description | Schema |
|---|---|---|
| custom optional |
0 means it indicates that it is at the site level; otherwise, it indicates that it is at the host level. | integer |
| detection optional |
Detection status ,0 means it is disabled whereas 1 means it is enabled. | integer |
| mitigation optional |
Mitigation policy. | mitigation |
| Name | Schema |
|---|---|
| auto optional |
auto |
| manual optional |
manual |
| Name | Description | Schema |
|---|---|---|
| enable optional |
Auto mitigation status ,0 means it is disabled whereas 1 means it is enabled. | integer |
| profile_id optional |
Auto mitigation profile. | integer |
| Name | Description | Schema |
|---|---|---|
| mode optional |
Manual mitigation status ,0 means it is disabled whereas 1 means it is enabled,3 means blackhole status. | integer |
| Name | Description | Schema |
|---|---|---|
| policy optional |
The site part policy. | policy |
| Name | Description | Schema |
|---|---|---|
| detection optional |
Detection status ,0 means it is disabled whereas 1 means it is enabled. | integer |
| mitigation optional |
Mitigation policy. | mitigation |
| Name | Schema |
|---|---|
| auto optional |
auto |
| manual optional |
manual |
| Name | Description | Schema |
|---|---|---|
| enable optional |
Auto mitigation status ,0 means it is disabled whereas 1 means it is enabled. | integer |
| profile_id optional |
Auto mitigation profile. | integer |
| Name | Description | Schema |
|---|---|---|
| enable optional |
Manual mitigation status ,0 means it is disabled whereas 1 means it is enabled. | integer |
| template_profile_id optional |
Manual mitigation route template. | integer |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | This is the returned result. | Response 200 |
| Name | Description | Schema |
|---|---|---|
| code optional |
Error code | integer |
| msg optional |
Error message | string |
Consumes
application/json
Produces
application/json
Security
| Type | Name |
|---|---|
| apiKey | ApiKeyAuth |
Get the site policies under Overview.
GET /spe/customer/{customer_id}/cp/site/{site_id}/policy/overview
Description
Get the site policies under Overview.
Parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| Path | customer_id required |
Unique identifier of a customer. Can be obtained by invoking this API. | string |
| Path | site_id required |
Unique identifier of a site. | string |
| Query | access_token required |
Access token used to authenticate your access to the API.Can be obtained by invoking this API. | string |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | This is the returned result. | Response 200 |
| Name | Description | Schema |
|---|---|---|
| code optional |
Error code | integer |
| msg optional |
Error message | string |
| result optional |
result |
| Name | Description | Schema |
|---|---|---|
| hosts optional |
Host part of the policy overview. | < hosts > array |
| site optional |
Site part of the policy overview. | site |
| Name | Description | Schema |
|---|---|---|
| host_id optional |
Unique identifier of a host. | string |
| policy optional |
policy |
| Name | Description | Schema |
|---|---|---|
| detection optional |
Detection status ,0 means it is disabled whereas 1 means it is enabled. | integer |
| is_customize optional |
0 means it indicates that it is at the site level; otherwise, it indicates that it is at the host level. | integer |
| mitigation optional |
Mitigation policy. | mitigation |
| Name | Schema |
|---|---|
| auto optional |
auto |
| manual optional |
manual |
| Name | Description | Schema |
|---|---|---|
| enable optional |
Auto mitigation status ,0 means it is disabled whereas 1 means it is enabled. | integer |
| profile_id optional |
Auto mitigation profile. | integer |
| profile_name optional |
Auto mitigation profile name. | string |
| Name | Description | Schema |
|---|---|---|
| mode optional |
Manual mitigation status ,0 means it is disabled whereas 1 means it is enabled,3 means blackhole status. | integer |
| Name | Description | Schema |
|---|---|---|
| policy optional |
The site part policy. | policy |
| Name | Description | Schema |
|---|---|---|
| detection optional |
Detection status ,0 means it is disabled whereas 1 means it is enabled. | integer |
| mitigation optional |
Mitigation policy. | mitigation |
| Name | Schema |
|---|---|
| auto optional |
auto |
| manual optional |
manual |
| Name | Description | Schema |
|---|---|---|
| enable optional |
Auto mitigation status ,0 means it is disabled whereas 1 means it is enabled. | integer |
| profile_id optional |
Auto mitigation profile. | integer |
| profile_name optional |
Auto mitigation profile name. | string |
| Name | Description | Schema |
|---|---|---|
| enable optional |
Manual mitigation status ,0 means it is disabled whereas 1 means it is enabled. | integer |
| template_profile_id optional |
Manual mitigation route template. | integer |
| template_profile_name optional |
Manual mitigation route template name. | string |
Consumes
application/json
Produces
application/json
Security
| Type | Name |
|---|---|
| apiKey | ApiKeyAuth |
Get the CleanPipe route profile list.
GET /spe/customer/{customer_id}/cp/site/{site_id}/policy/template/network-protection-route-profiles
Description
Get the CleanPipe route profile list,for subnetwork mask and mitigation
Parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| Path | customer_id required |
Unique identifier of a customer. Can be obtained by invoking this API. | string |
| Path | site_id required |
Unique identifier of a site. | string |
| Query | access_token required |
Access token used to authenticate your access to the API.Can be obtained by invoking this API. | string |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | This is the returned result. | Response 200 |
| Name | Description | Schema |
|---|---|---|
| code optional |
Error code | integer |
| msg optional |
Error message | string |
| result optional |
< result > array |
| Name | Description | Schema |
|---|---|---|
| profile_id optional |
Unique identifier of a profile. | integer |
| profile_name optional |
Name of a profile. | string |
Consumes
application/x-www-form-urlencoded
Produces
application/json
Security
| Type | Name |
|---|---|
| apiKey | ApiKeyAuth |
Creates a route template.
POST /spe/customer/{customer_id}/cp/site/{site_id}/policy/template/route-template
Description
Through this API, the route template of site under CleanPipe Protection is created based on the user-provided information. Please see notes on individual parameters below.
Parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| Path | customer_id required |
Unique identifier of a customer. Can be obtained by invoking this API. | string |
| Path | site_id required |
Unique identifier of a site. | string |
| Query | access_token required |
Access token used to authenticate your access to the API.Can be obtained by invoking this API. | string |
| Body | host optional |
Basic route template information. | host |
| Name | Description | Schema |
|---|---|---|
| cidr required |
The network resources to be protected, in CIDR form. | < string > array |
| template_desc optional |
The description of the route template created can be added, limited 0 to 512 characters. | string |
| template_name required |
The template name which only allows letters, numbers and underscores, limited 2 to 32 characters. | string |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | This is the returned result. | Response 200 |
| Name | Description | Schema |
|---|---|---|
| code optional |
Error code | integer |
| msg optional |
Error message | string |
| result optional |
result |
| Name | Description | Schema |
|---|---|---|
| template_id optional |
Route template ID, an unique identifier assigned to each template. | integer |
Consumes
application/json
Produces
application/json
Security
| Type | Name |
|---|---|
| apiKey | ApiKeyAuth |
Retrieves the properties of a route template.
GET /spe/customer/{customer_id}/cp/site/{site_id}/policy/template/route-template/{template_id}
Description
This API helps retrieve the info of a route template of site under CleanPipe Protection using the Site ID provided. Please see notes of individual parameters below.
Parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| Path | customer_id required |
Unique identifier of a customer. Can be obtained by invoking this API. | string |
| Path | site_id required |
Unique identifier of a site. | string |
| Path | template_id required |
Unique identifier of a route template. | integer |
| Query | access_token required |
Access token used to authenticate your access to the API.Can be obtained by invoking this API. | string |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | This is the returned result. | Response 200 |
| Name | Description | Schema |
|---|---|---|
| code optional |
Error code | integer |
| msg optional |
Error message | string |
| result optional |
Info of the route template | result |
| Name | Description | Schema |
|---|---|---|
| cidr optional |
< string > array | |
| template_desc optional |
The description of the host, limited 0 to 512 characters. | string |
| template_name optional |
The route template name which only allows letters, numbers and underscores, limited 2 to 32 characters. | string |
Consumes
application/x-www-form-urlencoded
Produces
application/json
Security
| Type | Name |
|---|---|
| apiKey | ApiKeyAuth |
Update a host.
PUT /spe/customer/{customer_id}/cp/site/{site_id}/policy/template/route-template/{template_id}
Description
Through this API, the route template of site under CleanPipe Protection is updated based on the user-provided information. Please see notes on individual parameters below.
Parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| Path | customer_id required |
Unique identifier of a customer. Can be obtained by invoking this API. | string |
| Path | site_id required |
Unique identifier of a site. | string |
| Path | template_id required |
Unique identifier of a route template. | integer |
| Query | access_token required |
Access token used to authenticate your access to the API.Can be obtained by invoking this API. | string |
| Body | host optional |
Basic site information. | host |
| Name | Description | Schema |
|---|---|---|
| cidr optional |
The network resources to be protected, in CIDR form. | < string > array |
| template_desc optional |
The description of the route template. | string |
| template_name optional |
The route template name which only allows letters, numbers and underscores, limited 2 to 32 characters. | string |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | This is the returned result. | Response 200 |
| Name | Description | Schema |
|---|---|---|
| code optional |
Error code | integer |
| msg optional |
Error message | string |
| result optional |
result |
| Name | Description | Schema |
|---|---|---|
| template_id optional |
Route template ID, an unique identifier assigned to each Route template. | integer |
Consumes
application/json
Produces
application/json
Security
| Type | Name |
|---|---|
| apiKey | ApiKeyAuth |
Delete a host.
DELETE /spe/customer/{customer_id}/cp/site/{site_id}/policy/template/route-template/{template_id}
Description
Through this API, the host of site under CleanPipe Protection is deleted based on the user-provided information. Please see notes on individual parameters below.
Parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| Path | customer_id required |
Unique identifier of a customer. Can be obtained by invoking this API. | string |
| Path | site_id required |
Unique identifier of a site. | string |
| Path | template_id required |
Unique identifier of a route template. | integer |
| Query | access_token required |
Access token used to authenticate your access to the API.Can be obtained by invoking this API. | string |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | This is the returned result. | Response 200 |
| Name | Description | Schema |
|---|---|---|
| code optional |
Error code | integer |
| msg optional |
Error message | string |
Consumes
application/x-www-form-urlencoded
Produces
application/json
Security
| Type | Name |
|---|---|
| apiKey | ApiKeyAuth |
Get the CleanPipe mitigation route template list.
GET /spe/customer/{customer_id}/cp/site/{site_id}/policy/template/route-templates
Description
Get the CleanPipe mitigation route template list.
Parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| Path | customer_id required |
Unique identifier of a customer. Can be obtained by invoking this API. | string |
| Path | site_id required |
Unique identifier of a site. | string |
| Query | access_token required |
Access token used to authenticate your access to the API.Can be obtained by invoking this API. | string |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | This is the returned result. | Response 200 |
| Name | Description | Schema |
|---|---|---|
| code optional |
Error code | integer |
| msg optional |
Error message | string |
| result optional |
< result > array |
| Name | Description | Schema |
|---|---|---|
| cidr optional |
< string > array | |
| template_desc optional |
The description of the route template created can be added. | string |
| template_id optional |
Route template ID, an unique identifier assigned to each Site. | integer |
| template_name optional |
The template name which only allows letters, numbers and underscores, limited 2 to 32 characters. | string |
Consumes
application/x-www-form-urlencoded
Produces
application/json
Security
| Type | Name |
|---|---|
| apiKey | ApiKeyAuth |
Security
ApiKeyAuth
Type : apiKey
Name : access_token
In : QUERY